<?php
include("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session

$bol1=true;
$bol2=true;
$bol3=true;
$bol4=true;
$bol5=true;
$bol6=true;
$bol7=true;
$bol8=true;
$cal1=false;
$cal2=false;
$cal3=false;
$cal4=false;
$arecibir=0;
$gt1=.1;
$gt2=.17;
$gt3=.01;

	$rfc =$_POST['therfc'];
	$fecha1 =$_POST['fecha_i'];
	$fecha2 =$_POST['fecha_f'];
	
	
	



     $gtot=0;
     function crearTabla($gen,$fecha1,$fecha2,$gt)
      {global $gtot;
	  global $gtot2;
	  global $totales;
       echo"<table border=1>
		    <tr bgcolor=\"#e8d78d\">
			<th>Referencia</th><th>Nombre</th><th>Compras</th>
			</tr>";
       while (list($clave, $valor ) = each($gen))
          {
           $qc1 = "SELECT sum(puntos) FROM transacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones WHERE tipostr_idtipostr='10' and inversionista_id_inver = \"$valor[0]\" and fechat between \"$fecha1\" and \"$fecha2\"";
           $cc1 = mysql_query($qc1) or die ('No se pudo hacer la consulta cc1' . mysql_error());
           $rr = mysql_fetch_row($cc1);
           $val1=$rr[0];
           $toti+=$val1;
           echo"<tr><td>$valor[1]</td><td>$valor[2]</td><td>$val1</td><tr>";
          }
	        $gtot+=$toti; 
			$gtot2=$toti*$gt;
			$totales+=$gtot2;
       echo"</table>";

	  // echo"el total es $toti <br>Regalias generadas: $gtot2<br>";
	  return $gtot2;
	  }
	  
	  $vta2s = "SELECT id_inver FROM inversionista WHERE rfc = \"$rfc\"";

           $vtas12 = mysql_query($vta2s) or die ('No se pudo hacer la consulta cc1' . mysql_error());
           $rr82 = mysql_fetch_row($vtas12);
           $id_inv=$rr82[0];
	  
	  
	$vtas = "SELECT sum(puntos) FROM transacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones WHERE tipostr_idtipostr='10' and inversionista_id_inver = \"$id_inv\" and fechat between \"$fecha1\" and \"$fecha2\"";

           $vtas1 = mysql_query($vtas) or die ('No se pudo hacer la consulta cc1' . mysql_error());
           $rr8 = mysql_fetch_row($vtas1);
           $valin=$rr8[0];
 			echo"<br><center><b> Reporte Generacional $elmes $ano3</b>
			<br>Compras Personales  $ $valin<br><br>";

$q2 = "SELECT id_inver, referencia, nombre, appat, apmat FROM inversionista WHERE idprom =  \"$id_inv\"";
$c2 = mysql_query($q2) or die ('No se pudo hacer la consulta' . mysql_error());

  for($i=0;$r1 = mysql_fetch_row($c2);$i++)
   {
	   $a0 = $r1[0];
	   $a1 = $r1[1];
	   $a2 = $r1[2];
	   $a3 = $r1[3];
	   $a4 = $r1[4];
	   $gen1[]= array($a0, $a1, $a2." ".$a3." ".$a4);
	};
	$copy_gen1=$gen1;

if(empty($copy_gen1)){$bol1=false;$bol2=false;$bol3=false;$bol4=false;$bol5=false;$bol6=false;$bol7=false;$bol8=false;}else{
	 while (list($clave, $valor ) = each($copy_gen1))
{

 $q1 = "SELECT id_inver, referencia, nombre, appat, apmat FROM inversionista WHERE idprom =  \"$valor[0]\"";
  $c1 = mysql_query($q1) or die ('No se pudo hacer la consulta' . mysql_error());
  while($r2 = mysql_fetch_row($c1))
   {
	   $pat1 = $r2[0];
	   $pat2 = $r2[1];
	   $pat3 = $r2[2];
	   $pat4 = $r2[3];
	   $pat5 = $r2[4];
	   $gen2[]=array ($pat1,$pat2, $pat3." ".$pat4." ".$pat5);
	} 
}
$copy_gen2=$gen2;

if(empty($copy_gen2)){$bol2=false;$bol3=false;$bol4=false;$bol5=false; $bol6=false;$bol7=false;$bol8=false;}else{
	  while (list($clave, $valor ) = each($copy_gen2))
{

 $q4 = "SELECT id_inver, referencia, nombre, appat, apmat FROM inversionista WHERE idprom =  \"$valor[0]\"";
  $c4 = mysql_query($q4) or die ('No se pudo hacer la consulta' . mysql_error());
  while($r2 = mysql_fetch_row($c4))
 {
	   $pa1 = $r2[0];
	   $pa2 = $r2[1];
	   $pa3 = $r2[2];
	   $pa4 = $r2[3];
	   $pa5 = $r2[4];
	$gen3[]=array ($pa1,$pa2, $pa3." ".$pa4." ".$pa5);
	} 
}
$copy_gen3=$gen3; 

if(empty($copy_gen3)){$bol3=false;$bol4=false;$bol5=false;$bol6=false;$bol7=false;$bol8=false;}else{
	 while (list($clave, $valor ) = each($copy_gen3))
{

$q5 = "SELECT id_inver, referencia, nombre, appat, apmat FROM inversionista WHERE idprom =  \"$valor[0]\"";
  $c5 = mysql_query($q5) or die ('No se pudo hacer la consulta' . mysql_error());
  while($r2 = mysql_fetch_row($c5))
   {
	   $paa1 = $r2[0];
	   $paa2 = $r2[1];
	    $paa3 = $r2[2];
		 $paa4 = $r2[3];
		  $paa5 = $r2[4];
	$gen4[]=array ($paa1,$paa2, $paa3." ".$paa4." ".$paa5);
	} 
}
$copy_gen4=$gen4; 

if(empty($copy_gen4)){$bol4=false;$bol5=false; $bol6=false;$bol7=false;$bol8=false;}

else{
	 while (list($clave, $valor ) = each($copy_gen4))
{

$q6 = "SELECT id_inver, referencia, nombre, appat, apmat FROM inversionista WHERE idprom =  \"$valor[0]\"";
  $c6 = mysql_query($q6) or die ('No se pudo hacer la consulta' . mysql_error());
  while($r2 = mysql_fetch_row($c6))
   {
	   $pag1 = $r2[0];
	   $pag2 = $r2[1];
	    $pag3 = $r2[2];
		 $pag4 = $r2[3];
		  $pag5 = $r2[4];
	$gen5[]=array ($pag1,$pag2, $pag3." ".$pag4." ".$pag5);
	} 
}
$copy_gen5=$gen5; 

if(empty($copy_gen5)){$bol5=false; $bol6=false;$bol7=false;$bol8=false;}
else{
	 while (list($clave, $valor ) = each($copy_gen5))
{

$q7 = "SELECT id_inver, referencia, nombre, appat, apmat FROM inversionista WHERE idprom =  \"$valor[0]\"";
  $c7 = mysql_query($q7) or die ('No se pudo hacer la consulta' . mysql_error());
  while($r2 = mysql_fetch_row($c7))
   {
	   $paz1 = $r2[0];
	   $paz2 = $r2[1];
	    $paz3 = $r2[2];
		 $paz4 = $r2[3];
		  $paz5 = $r2[4];
	$gen6[]=array ($paz1,$paz2, $paz3." ".$paz4." ".$paz5);
	} 
}
$copy_gen6=$gen6; 

if(empty($copy_gen6)){$bol6=false;$bol7=false;$bol8=false;}
else{
	 while (list($clave, $valor ) = each($copy_gen6))
{

$q8 = "SELECT id_inver, referencia, nombre, appat, apmat FROM inversionista WHERE idprom =  \"$valor[0]\"";
  $c8 = mysql_query($q8) or die ('No se pudo hacer la consulta' . mysql_error());
  while($r2 = mysql_fetch_row($c8))
   {
	   $paze1 = $r2[0];
	   $paze2 = $r2[1];
	    $paze3 = $r2[2];
		 $paze4 = $r2[3];
		  $paze5 = $r2[4];
	$gen7[]=array ($paze1,$paze2, $paze3." ".$paze4." ".$paze5);
	} 
}
$copy_gen7=$gen7; 

if(empty($copy_gen7)){$bol7=false;$bol8=false;}
else{
	 while (list($clave, $valor ) = each($copy_gen7))
{

$q9 = "SELECT id_inver, referencia, nombre, appat, apmat FROM inversionista WHERE idprom =  \"$valor[0]\"";
  $c9 = mysql_query($q9) or die ('No se pudo hacer la consulta' . mysql_error());
  while($r2 = mysql_fetch_row($c9))
   {
	   $paz1w = $r2[0];
	   $paz2w = $r2[1];
	    $paz3w = $r2[2];
		 $paz4w = $r2[3];
		  $paz5w = $r2[4];
	$gen8[]=array ($paz1w,$paz2w, $paz3w." ".$paz4w." ".$paz5w);
	} 
}
$copy_gen8=$gen8; 

if(empty($copy_gen8)){$bol8=false;}

}//7

}//6
}//5

}//4

}//3

}//2

}//1





       while (list($clave, $valor ) = each($gen1))

          {

           $qc1 = "SELECT sum(puntos) FROM transacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones WHERE tipostr_idtipostr='10' and inversionista_id_inver = \"$valor[0]\" and fechat between \"$fecha1\" and \"$fecha2\"";

           $cc1 = mysql_query($qc1) or die ('No se pudo hacer la consulta cc1' . mysql_error());

           $rr = mysql_fetch_row($cc1);

  

           $val1=$rr[0];

 

           if ($val1>=624){$conteo++;}

  

           

          }

  





if(1==1){









if($bol1==TRUE){echo "<center><br><font color=\"#5C3C12\" size=\"+2\"><b>Generacion 1   --->10%</b></font><br>";

 $reggen1=crearTabla($gen1,$fecha1,$fecha2,$gt1);

}else{echo"<cebter><br><br>No hay distribuidores en la red</center>";}



if($bol2==TRUE){echo"<br><br><font color=\"#5C3C12\" size=\"+2\"><b>Generacion 2   --->17%</b></font><br>";

 $reggen2=crearTabla($gen2,$fecha1,$fecha2,$gt2);

}

if($bol3==TRUE){echo"<br><br><font color=\"#5C3C12\" size=\"+2\"><b>Generacion 3   --->17%</b></font><br>";



 $reggen3=crearTabla($gen3,$fecha1,$fecha2,$gt2);

}



if($bol4==TRUE){echo"<br><br><font color=\"#5C3C12\" size=\"+2\"><b>Generacion 4   --->17%</b></font><br>";

 $reggen4=crearTabla($gen4,$fecha1,$fecha2,$gt2);

}
if($bol5==TRUE){echo"<br><br><font color=\"#5C3C12\" size=\"+2\"><b>Generacion 5   --->1%</b></font><br>";

 $reggen5=crearTabla($gen5,$fecha1,$fecha2,$gt3);

}
if($bol6==TRUE){echo"<br><br><font color=\"#5C3C12\" size=\"+2\"><b>Generacion 6   --->1%</b></font><br>";

 $reggen6=crearTabla($gen6,$fecha1,$fecha2,$gt3);

}
if($bol7==TRUE){echo"<br><br><font color=\"#5C3C12\" size=\"+2\"><b>Generacion 7   --->1%</b></font><br>";

 $reggen7=crearTabla($gen7,$fecha1,$fecha2,$gt3);

}
if($bol8==TRUE){echo"<br><br><font color=\"#5C3C12\" size=\"+2\"><b>Generacion 8   --->1%</b></font><br>";

 $reggen8=crearTabla($gen8,$fecha1,$fecha2,$gt3);

}

}



 echo"<br><br><b>Personas Directas Calificadas en el periodo: $conteo </b><br><br>

 <font color=\"#5C3C12\" size=\"+2\"><b>Resumen</b></font>

   <table border=\"1\" ><tr bgcolor=\"#e8d78d\">

   <th>Generaci&oacute;n</th><th>Porcentaje</th><th>Requisitos</th><th>Generados</th><th>A Recibir</th></tr>

   <tr align=\"center\">

   <td>Primera</td><td>10 %</td><td>1 Persona directa calificada</td><td>$reggen1</td><td>";

   if($conteo>=1){echo"$reggen1"; $arecibir+=$reggen1;}else{echo"---";}

   echo"</td></tr>

   <tr align=\"center\">

   <td>Segunda</td><td>17 %</td><td>2 Personas directas calificadas</td><td>$reggen2</td><td>";

   if($conteo>=2){echo"$reggen2"; $arecibir+=$reggen2;}else{echo"---";}

   echo" </td></tr>

   <tr align=\"center\">

   <td>Tercera</td><td>17 %</td><td>3 Personas directas calificadas</td><td>$reggen3</td><td>";

   if($conteo>=3){echo"$reggen3"; $arecibir+=$reggen3;}else{echo"---";}

   echo" </td></tr>

   <tr align=\"center\">

   <td>Cuarta</td><td>17 %</td><td>4 Personas directas calificadas</td><td>$reggen4</td><td>";

   if($conteo>=4){echo"$reggen4"; $arecibir+=$reggen4;}else{echo"---";}
   
     echo" </td></tr>

   <tr align=\"center\">

   <td>Quinta</td><td>1 %</td><td>5 Personas directas calificadas</td><td>$reggen5</td><td>";

   if($conteo>=5){echo"$reggen5"; $arecibir+=$reggen5;}else{echo"---";}
   
     echo" </td></tr>

   <tr align=\"center\">

   <td>Sexta</td><td>1 %</td><td>Red 5X25</td><td>$reggen6</td><td>";

   if($conteo>=16){echo"$reggen6"; $arecibir+=$reggen6;}else{echo"---";}
       echo" </td></tr>

   <tr align=\"center\">

   <td>Septima</td><td>1 %</td><td>Red 5X25</td><td>$reggen7</td><td>";

   if($conteo>=16){echo"$reggen7"; $arecibir+=$reggen7;}else{echo"---";}
       echo" </td></tr>

   <tr align=\"center\">

   <td>Octava</td><td>1 %</td><td>Red 5X25</td><td>$reggen8</td><td>";

   if($conteo>=16){echo"$reggen8"; $arecibir+=$reggen8;}else{echo"---";}

   echo" </td></tr></table>

   ";


if($valin>=624){
echo"<br>  El total de regal&iacute;as a recibir es de $arecibir<br></center>";}else {echo"<br>Regalias generadas <b>$ $arecibir</b><br>Regalias a recibir $ 0 <font color=\"red\">NO CALIFICADO</font>";}


?>





